import App from './App'

// #ifndef VUE3
// import GlobalPopup from '@/pages/components/GlobalPopup.vue'
import Vue from 'vue'
import './uni.promisify.adaptor'
import * as api from '@/api'
import utils from '@/utils'
import config from '@/config'
import MixinConfig from '@/mixins/config'
import scrollTo from '@/plugins/scrollTo'
import store from '@/stores'

Vue.config.productionTip = false

// 全局混入获取配置相关信息的方法
Vue.mixin(MixinConfig)

// 全局注册弹窗组件
// Vue.component('GlobalPopup', GlobalPopup)

// 将插件挂载到Vue中
Vue.use(scrollTo)
// 将api挂载到Vue的原型
Vue.prototype.$api = api
Vue.prototype.$utils = utils
Vue.prototype.$config = config // 这里是静态config
// #ifdef H5
import jWeixin from '@/utils/lib/jweixin-module.js'
Vue.prototype.$jWeixin = jWeixin  // 这里偷偷挂载
// #endif

App.mpType = 'app'
const app = new Vue({
  ...App,
  store
})

app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif